#include <bits/stdc++.h>

using namespace std;

int kv(int x1,int y1, int x2, int y2){
	if(x1==x2&&y1==y2){return 4;}
	else if(x1==x2||y1==y2){return 2;}
	else{return 1;}
}

int main(){
	int x1,y1,x2,y2;
	cin>>x1>>y1>>x2>>y2;
	cout<<kv(x1,y1,x2,y2);
	return 0;
}